Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127837 - A11Y: Export Diff Patch
A11Y: Export Diff Patch
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 10:21 UTC by Peter Pis
Modified: 2008-07-02 10:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
initial patch (4.36 KB, patch)
2008-02-22 08:00 UTC, Padraig Obriain
Details | Diff
additional patch (3.58 KB, patch)
2008-02-27 15:20 UTC, Padraig Obriain
Details | Diff
main_work_73381_51f01e967a06-username-part2 (25.45 KB, text/plain)
2008-03-26 18:34 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2008-02-20 10:21:36 UTC
Product Version: NetBeans IDE Dev (Build 200802140010)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\61\user

===============================================
 Tested Window title : Export Diff
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   - none.

 No Accessible description :
   Class: javax.swing.JButton {  Browse... |  }  [296,104]
   Class: javax.swing.JComboBox {  Export from: |  }  [79,57]
   Class: javax.swing.JTextField {  Output File: |  }  [81,105]


===============================================
 Tested Window title : Browse for the Export File
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 No Accessible description :
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$2 {  Look in: |  }  [60,35]
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$4 {  File name: |  }  [92,217]
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$6 {  OK |  }  [408,215]
   Class: javax.swing.JComboBox {  Files of type: |  }  [92,245]
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 Label with LABEL_FOR not set :
   - none.

 Components with no LABEL_FOR pointing to it :
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 Components with no mnemonic :
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$6 {  OK |  }  [408,215]
   Class: javax.swing.JButton {  New Folder |  Create New Folder }  [362,36]
   Class: javax.swing.JButton {  Up |  Up One Level }  [342,36]
   Class: javax.swing.JToggleButton {  Details |  Details }  [402,36]
   Class: javax.swing.JToggleButton {  List |  List }  [382,36]
Comment 1 Peter Pis 2008-02-20 16:14:03 UTC
Product Version: NetBeans IDE Dev (Build 200802140010)
Comment 2 Padraig Obriain 2008-02-22 08:00:27 UTC
Created attachment 57037 [details]
initial patch
Comment 3 Padraig Obriain 2008-02-22 08:03:21 UTC
7e469f7d7d11: initial patch which fixes Export Diff dialog is applied.

The remaining problems are with the FileChooser.
I note that similar problems occur with "Export Diff" dialog for CVS and Subversion.
Are there bugs for these?
Comment 4 Peter Pis 2008-02-22 12:04:33 UTC
But "Ok" button can have a mnemonic. Other components can't be set.
Comment 5 Padraig Obriain 2008-02-27 15:20:32 UTC
Created attachment 57361 [details]
additional patch
Comment 6 Padraig Obriain 2008-02-27 15:22:07 UTC
The attached patch makes the mercurial plugin code follow the same pattern as "Export Diff" for subversion.
However, there still does not seem to be a mnemonic for the APPROVE_SELECTION button. This is also the case for
subversion's "Export Diff" dialog.
Comment 7 Padraig Obriain 2008-02-28 13:38:16 UTC
additional patch pushed in 219c7ce3cbd4.

This patch uses the same pattern as Subversion does for JFileChooser.
Comment 8 John Rice 2008-03-26 18:34:17 UTC
Created attachment 59159 [details]
main_work_73381_51f01e967a06-username-part2
Comment 9 John Rice 2008-03-26 18:36:26 UTC
Attached patch to wrong bug - ignore main_work_73381_51f01e967a06-username-part2.patch should be part of fix for #126803
Comment 10 John Rice 2008-04-02 16:20:14 UTC
Committed to main:

hg changeset:   77079:ff1a85f26792
tag:         tip
user:        jrice@netbeans.org
date:        Wed Apr 02 16:12:06 2008 +0100
summary:     #126803: Username email checking in properties now consistent with Options and also allows userid@localhost

Comment 11 John Rice 2008-04-02 16:34:19 UTC
Closed in error: hg changeset:   77079:ff1a85f26792 refers to #126803
Comment 12 Padraig Obriain 2008-05-20 08:49:28 UTC
The remaining issue here is that the OK button in the JFileChooser does not have a mnemonic.

This seems to be a Java bug:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6297220
Comment 13 Padraig Obriain 2008-05-29 11:41:08 UTC
I am closing this bug the OK button for this FileChooser dialog does not need a mnemonic. The OK text is correct for
this dialog as this dialog is just choosing a file not doing the export.
Comment 14 Peter Pis 2008-07-02 10:21:26 UTC
Reopen.
Comment 15 Peter Pis 2008-07-02 10:22:20 UTC
Issue was fixed. There is "Export" button.
Comment 16 Peter Pis 2008-07-02 10:22:49 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo